/* An enhanced style for the forum, Web 2.0 - like*/
/* mixins */
.sidebar-widget-content #nav_admin_index,
.sidebar-widget-content #nav_admin_database,
.sidebar-widget-content #nav_admin_manager {
  position: relative;
  border: 1px solid #284a7c7a;
  padding: 5px;
  margin: 3px 3px 3px 0px;
}
.quiz-button-bottom,
.quiz-button-next,
.quiz-button-previous {
  background-color: transparent!important;
  border: 1px solid white!important;
  color: white!important;
  margin: 0px 0px 0px 10px!important;
}
.quiz-button-next,
.quiz-button-previous {
  float: right;
}
.quiz-button-bottom:hover,
.quiz-button-next:hover,
.quiz-button-previous:hover {
  background-color: white !important;
  color: #28497c !important;
}
.block_container {
  display: flex;
}
.info-question {
  color: #858585!important;
  text-transform: uppercase;
  font-size: 80%;
  font-family: inherit;
  float: right;
}
#wrapper {
  display: flex;
}
#first {
  width: 10%;
  float: left;
  /* add this */
  display: inline-block;
}
#second {
  float: left;
  /* add this */
  flex: 1;
}
#paging {
  border: 1px solid #28497c;
  padding: 5px 10px 5px 10px;
  margin: 0px 5px 0px 5px;
}
#paging:hover {
  background-color: #28497c;
  color: white;
}
.default input[type=text],
form.default input[type=date],
form.default input[type=email],
form.default input[type=number],
form.default input[type=password],
form.default input[type=tel],
form.default input[type=text],
form.default input[type=time],
form.default input[type=url],
form.default input[type=file],
form.default select,
form.default input,
form.default textarea {
  display: block;
  width: 99% !important;
  padding: 0.375rem 0.75rem;
  font-weight: 400;
  line-height: 1.5;
  color: #6c757d !important;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border-radius: 0.25rem;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  max-width: none !important;
}
.block-inner {
  display: flex;
  align-items: center;
  /* Vertical center alignment */
  justify-content: center;
}
.button-open {
  color: white!important;
  background-color: #28497c!important;
}
.button-open:hover {
  background-color: white!important;
  color: #28497c!important;
}
.stud-list,
.stud-block {
  background: #fff;
  border: 1px solid #28497c !important;
  color: #28497c !important;
  line-height: 120%;
  margin: .2em .2em .2em .2em;
}
.stud-list:hover,
.stud-block:hover {
  background: #28497c;
  color: #fff !important;
}
.stud-card {
  border: 1px solid #28497c !important;
  color: #28497c !important;
}
#cktoolbar,
#cktoolbar0,
#cke_wysiwyg0 {
  width: 100% !important;
  max-width: 100% !important;
}
#cke_wysiwyg0 {
  height: auto;
}
.cke_chrome {
  display: block;
  padding: 0;
  min-height: 40!important;
}
.fragen_header {
  background-color: #28497c !important;
  color: white;
}
.form-control:focus {
  color: #212529;
  background-color: #fff;
  border-color: #28497c !important;
  outline: 0;
  box-shadow: 0 0 0 0.25rem #81818169!important;
}
.alert {
  padding: 0px !important;
}
.category-head {
  font-size: 35px;
  text-align: center;
}
.category-title {
  font-size: 20px;
  text-align: center;
}
.icon {
  margin: 0 auto;
  border-radius: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #28497c;
}
/* --- */
.container {
  width: 100%;
  height: 100%;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
}
h3 {
  color: #000;
  font-size: 24px !important;
  line-height: 24px;
  font-weight: 700;
  margin-bottom: 4px;
  font-family: "Nunito", sans-serif;
}
p {
  font-size: 17px;
  font-weight: 400;
  line-height: 20px;
  color: #000;
}
p.small {
  font-size: 14px;
}
.go-corner {
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  width: 32px;
  height: 32px;
  overflow: hidden;
  top: 0;
  right: 0;
  background-color: #274a7e;
  border-radius: 0 4px 0 32px;
}
.go-arrow {
  margin-top: -4px;
  margin-right: -4px;
  color: white;
  font-family: courier, sans;
}
.card3 {
  display: block;
  top: 0px;
  height: auto;
  position: relative;
  width: auto;
  background-color: #f2f6ff;
  border-radius: 4px;
  padding: 32px 24px;
  margin: 7px;
  text-decoration: none;
  border: 1px solid #284a7c !important;
}
.card3 .go-corner {
  opacity: 1.0;
}
.card3:hover {
  border: 1px solid #284a7c;
}
.card3:hover p {
  color: #284a7c;
}
.card3:hover .go-corner {
  transition: opactiy 0.1s linear;
  opacity: 1;
}
.show-img {
  line-height: 0px;
}
.show-img:hover {
  cursor: pointer;
}
.modal-backdrop.show {
  opacity: 0 !important;
}
.pointer:hover {
  cursor: pointer;
}
#cat-title-wrapper {
  display: flex;
}
#cat-title-wrapper .icon {
  float: left;
  margin-right: 10px;
}
#cat-title-wrapper .cat-title {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  width: 95%;
  margin-right: 15px;
}
.stud-tablehead {
  background-color: white;
  border-bottom: 1px solid #1c55aa;
}
#list {
  padding: 20px !important;
}
.config-list {
  display: none;
  top: 0px;
  transition: top 0.5s;
  transition-timing-function: cubic-bezier(0.8, 0.8, 0.8, 0.8);
}
.config-list .config-edit,
.config-list .config-delete {
  padding: 4px;
  width: 25px;
  background-color: #bfd5f5;
  position: absolute;
  transition: height 0.5s;
  transition-timing-function: cubic-bezier(0.8, 0.8, 0.8, 0.8);
  text-align: center;
  border-radius: 15px;
  left: 340px;
  color: #284a7c;
}
.config-list .config-edit {
  top: 40px;
}
.config-list .config-delete {
  top: 80px;
}
.config-delete:hover,
.config-edit:hover {
  background-color: #1c55aa;
  color: white;
}
.visible {
  display: flex;
}
.tooltip {
  font-size: 14px;
}
.tooltip {
  position: absolute;
  z-index: 1020;
  display: block;
  visibility: visible;
  padding: 5px;
  font-size: 13px !important;
  opacity: 0;
  filter: alpha(opacity=0);
}
.tooltip.in {
  opacity: 1.0 !important;
  filter: alpha(opacity=100);
}
.bs-tooltip-right {
  margin-left: 10px!important;
}
.bs-tooltip-right .arrow {
  top: 50%!important;
  left: 0;
  margin-top: -5px;
  border-top: 5px solid transparent;
  border-bottom: 5px solid transparent;
  border-right: 5px solid #1c55aa;
}
.tooltip.show {
  opacity: 1!important;
}
.tooltip-inner {
  max-width: 200px;
  padding: 5px 8px !important;
  color: #fff;
  text-align: center;
  text-decoration: none;
  background-color: #1c55aa !important;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
}
.arrow {
  position: absolute;
  width: 0;
  height: 0;
}
/* Table */
.table {
  width: 100%;
  max-width: 100%;
  margin-bottom: 2rem;
  background-color: #fff;
}
.table > thead > tr,
.table > tbody > tr,
.table > tfoot > tr {
  -webkit-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
  border-left: 4px solid #fff;
}
.table > caption + thead > tr:first-child > th,
.table > colgroup + thead > tr:first-child > th,
.table > thead:first-child > tr:first-child > th,
.table > caption + thead > tr:first-child > td,
.table > colgroup + thead > tr:first-child > td,
.table > thead:first-child > tr:first-child > td {
  border-top: 0;
}
.table > thead > tr > th {
  font-weight: 400;
  color: #757575;
  vertical-align: bottom;
  border-bottom: 1px solid rgba(0, 0, 0, 0.12);
}
.table > thead > tr > th,
.table > tbody > tr > th,
.table > tfoot > tr > th,
.table > thead > tr > td,
.table > tbody > tr > td,
.table > tfoot > tr > td {
  text-align: left;
  padding: 1.6rem;
  vertical-align: top;
  border-top: 0;
  -webkit-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
}
table {
  border-collapse: separate;
  text-indent: initial;
  border-spacing: 2px;
}
.table > thead > tr,
.table > tbody > tr,
.table > tfoot > tr {
  -webkit-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
}
.table-responsive-vertical > tbody > tr:hover {
  background-color: #f1f4ffab;
}
.form-check-input[type=checkbox] {
  width: 15px !important;
  height: 15px !important;
}
.flexquiz-quiz-question {
  margin-top: 1.25rem;
  margin-bottom: 1.25rem;
  border: 1px solid #e9ecef;
  border-radius: .25rem;
}
.flexquiz-quiz-question .flexquiz-quiz-body {
  padding: 1.25rem  1.25rem  2.50rem  1.25rem;
}
.flexquiz-quiz-answers {
  padding: 1.25rem;
  margin-top: 1.25rem;
  margin-bottom: 1.25rem;
  border: 1px solid #e9ecef;
  border-radius: .25rem;
}
.flexquiz-quiz-answers:hover {
  cursor: pointer;
}
.flexquiz-quiz-answers .flexquiz-quiz-body {
  padding: 1.25rem  1.25rem  1.50rem  1.25rem;
}
.flexquiz-quiz-answer-text {
  padding: 1.25rem;
  margin-top: 1.25rem;
  margin-bottom: 1.25rem;
  border: 1px solid #e9ecef;
  border-radius: .25rem;
}
.flexquiz-quiz-answer-text .flexquiz-quiz-body {
  padding: 1.25rem  1.25rem  1.50rem  1.25rem;
}
.flexquiz-info {
  padding: 1.25rem;
  margin-top: 1.25rem;
  margin-bottom: 1.25rem;
  border: 1px solid #e9ecef;
  border-radius: .25rem;
}
.flexquiz-info h3 {
  margin-left: 20px;
}
.hint-button {
  color: #444444!important;
  text-transform: uppercase;
  font-size: 70%;
  font-family: inherit;
}
#hint {
  border: 1px solid #e9ecef;
  width: 100%;
  font-size: 100%;
  margin-bottom: 15px;
  border-radius: 3px;
  border-left: 4px solid #28497c;
  background-color: #c1daff00;
}
.font-color-blue {
  color: #28497c !important;
}
.hint-inner {
  padding: 15px 5px;
  margin-left: 15px;
}
.hint-inner hr {
  margin-right: 20px;
  color: #bfbfbf;
}
.question-head {
  background: #28497c;
  color: white;
  font-size: unset;
  line-height: unset;
  text-align: left;
  padding: 10px;
  margin-bottom: 20px;
  border: none;
  position: unset;
  height: 30px;
}
.question-title {
  float: left;
  margin-top: 5px;
}
.question-bottom {
  background: #28497c;
  color: white;
  font-size: unset;
  line-height: unset;
  text-align: left;
  padding: 2px;
  margin: 0 0 10px 0;
  border: none;
  position: unset;
}
#boolean-option {
  width: 20px !important;
  height: 20px !important;
}
.question-preview {
  height: 230px;
  margin: 0px 10px 0px 10px;
  border: 1px solid #c9c9c9;
  padding: 10px;
  display: inline-block;
  align: center;
  vertical-align: middle;
}
.chosen {
  background-color: #92a6ca04;
  border: 1px solid #284a7cb7;
}
.ans-green {
  background-color: #92ca9b04 !important;
  border: 1px solid #2f7c28b7 !important;
}
.icon-ans-green::before {
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  content: "\f00c";
  color: #2f7c28b7;
}
.error-checkbox .form-check-input:checked[type=checkbox] {
  background-image: none !important;
}
.error-checkbox .form-check-input:checked[type=checkbox]::after {
  font-family: "Font Awesome 5 Free" !important;
  font-weight: 900 !important;
  content: "\f00d" !important;
  color: #df4646b7;
  margin-left: -3px;
  top: -3px;
  position: relative;
}
.error-checkbox .form-check-input:checked,
.error-checkbox .form-check-input {
  background-color: #ffffff !important;
}
.correct-checkbox .form-check-input:checked[type=checkbox] {
  background-image: none !important;
}
.correct-checkbox .form-check-input:checked[type=checkbox]::after {
  font-family: "Font Awesome 5 Free" !important;
  font-weight: 900 !important;
  content: "\f00d" !important;
  color: #24801cb7;
  margin-left: -3px;
  position: relative;
  top: -3px;
}
.correct-checkbox .form-check-input:checked,
.error-checkbox .form-check-input {
  background-color: #ffffff !important;
}
.ans-red {
  background-color: #fa999924 !important;
  border: 1px solid #df4646b7 !important;
}
.ans-red .form-check-input:checked {
  border-color: #b14545 !important;
}
.quiz-success {
  background-color: #f0fff4;
  color: #21af5c;
  padding: 10px;
  font-size: 15px;
  font-weight: bold;
  margin-bottom: 10px;
}
.quiz-success::before {
  font-family: "Font Awesome 5 Free" !important;
  font-weight: 900 !important;
  content: "\f00c" !important;
  color: #1bad47b7;
  font-size: 25px;
  margin: 10px;
  text-align: center;
  position: relative;
  top: 4px;
}
.quiz-failure::before {
  font-family: "Font Awesome 5 Free" !important;
  font-weight: 900 !important;
  content: "\f00d" !important;
  color: #ad1b1bb7;
  font-size: 25px;
  margin: 10px;
  text-align: center;
  position: relative;
  top: 4px;
}
.quiz-failure {
  background-color: #fff2f0;
  color: #af2d21;
  padding: 10px;
  font-size: 15px;
  font-weight: bold;
  margin-bottom: 10px;
}
.icon-ans-red::before {
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  content: "\f00d";
  color: #ca4040de;
}
.flexquiz-quiz-answers .form-check-input:disabled {
  pointer-events: none;
  filter: none;
  opacity: 1.0;
  background-color: #8c8c8c4d !important;
  border: 1px solid #9a9a9ab7 !important;
}
.b_daily,
.b_flexible {
  background-color: #28497c !important;
}
.b_Leicht {
  background-color: #198754 !important;
}
.b_Mittel {
  background-color: #fd7e14 !important;
}
.b_Schwer {
  background-color: #dc3545 !important;
}
select {
  padding: 8px 5px;
  border-radius: 5px;
  color: #333;
  width: 250px;
}
.font-awesome .fa {
  font-family: "Font Awesome 5 Free", "Lato", "sans-serif";
  font-weight: 501;
  font-size: 14px;
}
.modal-body {
  overflow-y: visible;
  height: 200px;
  margin-top: 20px;
}
.modal-header {
  background-color: #28497c !important;
}
.modal-title {
  color: white !important;
}
.modal-header .btn {
  color: white !important;
}
.modal {
  overflow: visible;
}
.modal-body {
  overflow-y: visible;
}
.select2-dropdown {
  position: relative;
  z-index: 5000;
  font-size: 80%;
}
.btn-primary {
  background-color: #28497c !important;
}
.icon-select {
  border: 1px solid #bbbbbb;
  padding: 6px 8px 6px 10px;
  min-height: 6px;
  min-width: 13px;
  margin: 1px 20px 2px 0px;
  font-size: 100%;
  color: #3f3f3f;
  background-color: #f1f1f1;
}
.select2 {
  display: block!important;
  width: 100%!important;
  padding: .375rem .375rem;
  color: #495057;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  border-radius: .25rem;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
.select2-container--default .select2-selection--multiple,
.select2-container--default .select2-selection--single {
  border: 0px solid #c5c7ca!important;
  border-radius: 0;
  min-height: 30px;
}
.select2-results__options {
  max-height: 90px!important;
  overflow: auto!important;
}
@media screen and (max-width: 768px) {
  .select2-dropdown {
    width: 100px;
  }
}
section#flexquiz {
  position: relative;
  max-width: 870px;
}
section#flexquiz ol.chapters,
section#flexquiz-views ol.views {
  padding: 0;
  margin-bottom: 0.75em;
  border: 1px solid #d0d7e3;
  margin-top: 10px;
}
section .fq-sidebar .chapters-header,
section .fq-sidebar .views-header {
  background: #e7ebf1;
  color: #28497c;
  font-weight: bold;
  font-size: unset;
  line-height: unset;
  text-align: left;
  padding: 4px;
  margin: 0 0 10px 0;
  border: none;
  position: unset;
}
section#flexquiz .fq-sidebar,
section#flexquiz-views .fq-sidebar {
  top: 0;
  left: 0;
  margin: 0;
  padding-left: 0;
  width: 270px;
}
section#flexquiz ol.chapters,
section#flexquiz-views ol.views {
  list-style: none !important;
}
section#flexquiz ol.chapters li,
section#flexquiz-views ol.views li {
  padding: 5px 44px 5px 22px;
  font-weight: 700;
}
section#flexquiz ol.chapters li:not(:last-child),
section#flexquiz-views ol.views li:not(:last-child) {
  border-bottom: 1px solid #e1eaff;
}
.chapters.active {
  background-color: #e7ebf1;
}
.chapters.active:after {
  background-color: #e7ebf1;
}
.img-responsive-ht {
  display: block;
  width: auto;
  max-height: 100%;
}
.auto-size {
  display: block;
  margin: auto;
  max-width: 100%;
  height: auto !important;
}
/* Style the Image Used to Trigger the Modal */
#myImg {
  border-radius: 5px;
  cursor: pointer;
  transition: 0.3s;
}
#myImg:hover {
  opacity: 0.7;
}
/* The Modal (background) */
.modal {
  display: none;
  /* Hidden by default */
  position: fixed;
  /* Stay in place */
  z-index: 1;
  /* Sit on top */
  padding-top: 100px;
  /* Location of the box */
  left: 0;
  top: 0;
  width: 100%;
  /* Full width */
  height: 100%;
  /* Full height */
  overflow: auto;
  /* Enable scroll if needed */
  background-color: #000000;
  /* Fallback color */
  background-color: rgba(0, 0, 0, 0.9);
  /* Black w/ opacity */
}
/* Modal Content (Image) */
.modal-content {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
}
/* Caption of Modal Image (Image Text) - Same Width as the Image */
#caption {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
  text-align: center;
  color: #ccc;
  padding: 10px 0;
  height: 150px;
}
/* Add Animation - Zoom in the Modal */
.modal-content,
#caption {
  -webkit-animation-name: zoom;
  -webkit-animation-duration: 0.6s;
  animation-name: zoom;
  animation-duration: 0.6s;
}
@-webkit-keyframes zoom {
  from {
    -webkit-transform: scale(0);
  }
  to {
    -webkit-transform: scale(1);
  }
}
@keyframes zoom {
  from {
    transform: scale(0);
  }
  to {
    transform: scale(1);
  }
}
/* The Close Button */
.close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}
.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}
.frame {
  border-bottom: 0px solid #caca;
  border: 1px solid #cacaca;
  padding: 15px;
  margin: 0px !important;
  display: flex;
  align-items: center;
  margin: 7px !important;
}
.frame-box {
  background-color: white;
  border-radius: 5px;
  padding: 4px;
  border: 1px solid #babdc0;
  width: 17px!important;
}
.img-box {
  border: 1px solid #28497c;
  width: 20px;
  color: #28497c;
  padding: 3px 1px 0px 0px;
  text-align: center;
  background-color: #fff;
  border-radius: 5px;
}
.img-box-options {
  border: 1px solid #28497c;
  width: 20px;
  color: #28497c;
  padding: 5px 1px 0px 0px;
  text-align: center;
  background-color: #fff;
  border-radius: 5px;
  height: 17px;
  float: left;
  margin: 0px 20px;
}
.box-none {
  background-color: transparent !important;
  border: 0px solid transparent;
  cursor: default;
}
div.box-info {
  background: no-repeat 10px 10px;
  border: 2px solid;
  font-size: 11pt;
  font-weight: 400;
  margin: 5px 0;
  padding: 15px 15px 15px 55px;
  position: relative;
  text-align: left;
}
div.box-info {
  border-color: #28497c;
}
.icon-info {
  margin-left: -40px;
  float: left;
  font-size: 16px!important;
  background-color: #28497c;
  color: white;
  border-radius: 25px;
  padding: 8px 9px 8px 9px;
}
#list {
  padding: 0px !important;
}
/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 700px) {
  .modal-content {
    width: 100%;
  }
}
